<template>
  <div class="mx-auto">
    <lazy-theme-desktop-playful-components-promotion-silder/>
    <lazy-theme-desktop-playful-components-big-win-list/>
    <lazy-theme-desktop-playful-game />
    <lazy-theme-desktop-playful-components-win-today/>
  </div>
</template>
<script setup lang="ts">
import { IThemePropertiesFromApi } from "~~/models/companyThemePropertiesRespone";
import { store } from "~~/store";

const themeProperties =
store.state.companyThemePropertiesFromApi.ThemeProperties;
const isAnimateThemeColor = computed(() => {
  const themeColor = themePropertyHelper.getSingleThemeProperty(
    themeProperties,
    "theme_color"
  ).Text;
  return ['main_cobaltblue'].includes(themeColor);
});
const indexBlogI = themePropertyHelper.getSingleThemeProperty(
  themeProperties,
  "index_blog_1"
);
const isIndexBlogIIEnabled = !themePropertyHelper.getSingleThemeProperty(
  themeProperties,
  "index_blog_2"
).IsHidden;
const isIndexBlogVEnabled = !themePropertyHelper.getSingleThemeProperty(
  themeProperties,
  "index_blog_5"
).IsHidden;
const isRecommendMatchEnabled = !themePropertyHelper.getSingleThemeProperty(
  themeProperties,
  "sportsbook_recommend_matches"
).IsHidden;
</script>
